From 5c4eb42cbbfb31bc1960e264801a06783a0e3877 Mon Sep 17 00:00:00 2001
From: Andreas Tille <tille@debian.org>
Date: Wed, 30 Jan 2019 09:12:47 +0100
Subject: [PATCH] Apply patch from Ubuntu by Dimitri John Ledkov and upload as
 NMU

---
 debian/changelog                 | 11 +++++++++++
 debian/control                   |  2 +-
 debian/patches/fixup-cmake.patch | 23 +++++++++++++++++++++++
 debian/patches/series            |  1 +
 4 files changed, 36 insertions(+), 1 deletion(-)
 create mode 100644 debian/patches/fixup-cmake.patch

diff --git a/debian/changelog b/debian/changelog
index 51b4dcc..8693594 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+capnproto (0.7.0-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+
+  [ Dimitri John Ledkov ]
+  * Workaround generating invalid CapnProtoConfig which is not multiarch
+    cmake aware, and thus yields invalid bin and include paths.
+    Closes: #920230
+
+ -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 08:51:06 +0100
+
 capnproto (0.7.0-2) unstable; urgency=medium
 
   * Add a .gitignore file to packaging
diff --git a/debian/control b/debian/control
index 7eabedd..b288495 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: devel
 Priority: optional
 Maintainer: Tom Lee <debian@tomlee.co>
 Build-Depends: debhelper (>= 11), gcc (>= 4.7), python-all (>= 2.6),
- dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml, xsltproc, netbase
+ dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml, xsltproc, netbase, cmake
 Standards-Version: 4.3.0
 Homepage: https://capnproto.org/
 Vcs-Git: https://github.com/thomaslee/capnproto-debian
diff --git a/debian/patches/fixup-cmake.patch b/debian/patches/fixup-cmake.patch
new file mode 100644
index 0000000..c75cc0f
--- /dev/null
+++ b/debian/patches/fixup-cmake.patch
@@ -0,0 +1,23 @@
+Description: Workaround generating invalid CapnProtoConfig which is not
+  multiarch cmake aware, and thus yields invalid bin and include paths.
+Author: Dimitri John Ledkov <xnox@ubuntu.com>
+Bug-Debian: https://bugs.debian.org/920230
+
+
+--- capnproto-0.7.0.orig/cmake/CapnProtoConfig.cmake.in
++++ capnproto-0.7.0/cmake/CapnProtoConfig.cmake.in
+@@ -38,11 +38,11 @@
+ 
+ set(CapnProto_VERSION @VERSION@)
+ 
+-set(CAPNP_EXECUTABLE $<TARGET_FILE:CapnProto::capnp_tool>
++set(CAPNP_EXECUTABLE /usr/bin/capnp
+     CACHE FILEPATH "Location of capnp executable")
+-set(CAPNPC_CXX_EXECUTABLE $<TARGET_FILE:CapnProto::capnpc_cpp>
++set(CAPNPC_CXX_EXECUTABLE /usr/bin/capnpc-c++
+     CACHE FILEPATH "Location of capnpc-c++ executable")
+-set(CAPNP_INCLUDE_DIRECTORY "@PACKAGE_CMAKE_INSTALL_FULL_INCLUDEDIR@")
++set(CAPNP_INCLUDE_DIRECTORY /usr/include)
+ 
+ # work around http://public.kitware.com/Bug/view.php?id=15258
+ if(NOT _IMPORT_PREFIX)
diff --git a/debian/patches/series b/debian/patches/series
index 2fc1a12..3263721 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,3 @@
 01_couldnt.patch
 02_broken_kfreebsd_tests.patch
+fixup-cmake.patch
-- 
2.20.1

